Summary: a Preprocessor for MusiXTeX
Name: pmx
Version: 2.40
Vendor: Don Simons (dsimons@logicon.com)
Release: 1mdk
Source: pmx-%{version}.tar.bz2
Patch: pmx-%{version}.patch
Copyright: GPL
Group: Sound
URL: http://icking-music-archive.sunsite.dk/software/indexmt6.html
Packager: Reinhard Katzmann <reinhard@suamor.de>
Requires: tetex >= 1.0, musixtex, musixtex-musixflx, f2c
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: recode, f2c, musixps
BuildRequires: gcc-g77 >= 2.95
%description
PMX is a preprocessor for MusiXTeX that produces nearly professional-looking 
scores and parts with far less effort than would be required using MusiXTeX 
alone.

PMX can help you typeset a musical score if you have a reasonably
up-to-date version of MusiXTeX. The goal of PMX is to facilitate 
the efficient production of scores and parts that have an almost
professional appearance.  It can do all the work involved in 
setting up \notes-\enotes groupings, selecting groups of notes to
be beamed, defining beam heights and slopes, spreading the entire
piece evenly over specified numbers of systems and pages, and
inserting extra spaces where needed to make room for accidentals,
flags, dots, and new clefs.

%prep
%setup -q -n %{name}-%{version}
#mv source.for pmxab.f
mv pmx240.for pmxab.f
mv scor2prt.for scor2prt.f
%patch -p1 -b .orig
recode pc pmxab.f
recode pc scor2prt.f

%build
# Uncomment if you wish to build g77-binary
g77 ${RPM_OPT_FLAGS} -Wall pmxab.f -o pmxab
g77 ${RPM_OPT_FLAGS} -Wall scor2prt.f -o scor2prt
mv pmxab pmxab-g77
strip pmxab-g77
mv scor2prt scor2prt-g77
strip scor2prt-g77
# more and more tex files are missing...
recode pc barsant.pmx
recode pc dyntest.pmx
recode pc most.pmx
recode pc mwalmnd.pmx
recode pc pmx.tex
#recode pc pmx240.tex
#recode pc ref240.tex
#recode pc rtsg.pmx
f2c -C -Nn802 -Nx400 pmxab.f
gcc ${RPM_OPT_FLAGS} -Wall pmxab.c -lf2c -lm -o pmxab
strip pmxab
f2c -C scor2prt.f
gcc ${RPM_OPT_FLAGS} -Wall scor2prt.c -lf2c -lm -o scor2prt
strip scor2prt
export PATH=./:$PATH
./pmx barsant
ps2pdf barsant.ps barsant.pdf
./pmx dyntest
ps2pdf dyntest.ps dyntest.pdf
./pmx most
ps2pdf most.ps most.pdf
./pmx mwalmnd
ps2pdf mwalmnd.ps mwalmnd.pdf

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
#mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/texmf/tex/plain/misc
cp pmx pmxab scor2prt $RPM_BUILD_ROOT%{prefix}/bin
cp pmxab-g77 scor2prt-g77 $RPM_BUILD_ROOT%{prefix}/bin
cp pmx.tex $RPM_BUILD_ROOT%{prefix}/share/texmf/tex/plain/misc

%clean
rm -rf $RPM_BUILD_ROOT

%post
texhash

%postun
texhash

%files
%doc pmx240* ref240* barsant.pdf barsant.pmx most.pdf most.pmx
%doc mwalmnd.pdf mwalmnd.pmx dyntest.pdf dyntest.pmx readme.txt
%{prefix}/bin
%{prefix}/share/texmf
